Subject: Re: bug#74535: 30.0.92; partial hang, esp. keyboard events

From: Stefan Kangas <[email-masked]>
Date: Wed, 1 Jan 2025 21:13:04 -0600

Mike Kupfer <[email-masked]> writes:

> Stefan Kangas wrote:
>
>> Eli Zaretskii <[email-masked]> writes:
>
>> > So I guess we need to wait a few more weeks before we are sure.
>> >
>> > Thanks.
>>
>> That was over 3 weeks ago.  Do we feel more confident now?
>
> I haven't seen the hang again.  I went back to 30.0.92 on Dec 21, after
> hacking up a script that uses emacsclient to invoke view-lossage.
> (Rather than bisecting by changes to the code, at 4 weeks per iteration,
> I thought it might be more effective to try a bisection strategy based
> on the flow of data through Emacs.  Depending on what view-lossage tells
> me--assuming I ever see the hang again--, I can add hacky logging code
> to my builds in whatever place seems appropriate.  FWIW, prior to going
> back to 30.0.92, I diffed the changes from 30.0.91 to 30.0.92 and
> nothing seemed plausible as a possible cause.)
>
> At this point, I'm fine with calling the bug very rare and moving on.
> If it happens again, I'll see what information I can get and update the
> bug report.

Thanks for reporting back.  I'm therefore closing this bug report.

Please report back if you see the hang again.